aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files/etc
diff options
context:
space:
mode:
authorJeffery To <jeffery.to@gmail.com>2019-01-13 02:14:22 +0800
committerJo-Philipp Wich <jo@mein.io>2019-01-22 09:05:59 +0100
commitd13e86d4c2d4c1c8970a20cc1f3214b266f57ed0 (patch)
tree4873e6e71897ed65034302a8e4ee349cfee69781 /package/base-files/files/etc
parent2bf22b1fb725b71ca1ec2656be4b020efcc29289 (diff)
downloadupstream-d13e86d4c2d4c1c8970a20cc1f3214b266f57ed0.tar.gz
upstream-d13e86d4c2d4c1c8970a20cc1f3214b266f57ed0.tar.bz2
upstream-d13e86d4c2d4c1c8970a20cc1f3214b266f57ed0.zip
procd: Add wrapper for uci_validate_section()
This adds a wrapper (uci_load_validate) for uci_validate_section() that allows callers (through a callback function) to access the values set by uci_validate_section(), without having to manually declare a (potentially long) list of local variables. The callback function receives two arguments when called, the config section name and the return value of uci_validate_section(). If no callback function is given, then the wrapper exits with the value returned by uci_validate_section(). This also updates several init scripts to use the new wrapper function. Signed-off-by: Jeffery To <jeffery.to@gmail.com>
Diffstat (limited to 'package/base-files/files/etc')
-rwxr-xr-xpackage/base-files/files/etc/init.d/system10
1 files changed, 3 insertions, 7 deletions
diff --git a/package/base-files/files/etc/init.d/system b/package/base-files/files/etc/init.d/system
index 531aa8cbc5..a98a972469 100755
--- a/package/base-files/files/etc/init.d/system
+++ b/package/base-files/files/etc/init.d/system
@@ -6,7 +6,7 @@ USE_PROCD=1
validate_system_section()
{
- uci_validate_section system system "${1}" \
+ uci_load_validate system system "$1" "$2" \
'hostname:string:OpenWrt' \
'conloglevel:uinteger' \
'buffersize:uinteger' \
@@ -15,11 +15,7 @@ validate_system_section()
}
system_config() {
- local cfg="$1"
-
- local hostname conloglevel buffersize timezone zonename
-
- validate_system_section "${1}" || {
+ [ "$2" = 0 ] || {
echo "validation failed"
return 1
}
@@ -36,7 +32,7 @@ system_config() {
reload_service() {
config_load system
- config_foreach system_config system
+ config_foreach validate_system_section system system_config
}
service_triggers()